- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
tbb::flow::interface8::opencl_graph Class Reference
Inheritance diagram for tbb::flow::interface8::opencl_graph:

## Public Member Functions
| opencl_graph ()
| Constructs a graph with isolated task_group_context.
| opencl_graph (task_group_context &context)
| Constructs a graph with an user context.
| ~opencl_graph ()
| Destroys a graph.
const opencl_device_list & | available_devices ()
| Available devices.
default_opencl_factory & | opencl_factory ()

## Protected Member Functions
opencl_foundation & | get_opencl_foundation ()

## Protected Attributes
opencl_foundation * | my_opencl_foundation

## Friends
template<typename T , typename Factory >
class | opencl_buffer
template<cl_channel_order channel_order, cl_channel_type channel_type, typename Factory >
class | opencl_image2d
template<typename... Args>
class | opencl_node
template<typename DeviceFilter >
class | opencl_factory

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2016 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.